# Captivate

### Visual & Lighting Synth

An easy to use, cross-platform app (mac, linux, windows) for real-time, synchronized generation of Visuals and DMX Lighting

## Ready to Impress?

Captivate is groundbreaking software that revolutionizes stage lighting and visuals. Music is intuitive, dynamic, and fun. Thanks to captivate, creating a visual experience feels just as good.

Concert quality visuals and lighting that is easy, fun, and dynamic. Captivate is designed to run autonomously, or you can take as much control as you'd like.

This is Captivate. Captivate generates live lighting and visuals that intuitively and dynamically synchronize to music via Ableton Link. Captivate is capable of running autonomously, but it's designed so you can take as much control as you'd like. In addition to all that power, setup has never been easier. This same setup can be configured in minutes with Captivate. If I change the tempo, or the song, captivate adjusts accordingly. Captivate's design was inspired by synthesisers, so you'll find familiar tools like LFO's, midi integration, pads, and randomizers.

## An Intuitive Universe

Captivate works by simplifying an entire dmx universe into a handful of intuitive parameters.

## Familiar Modulation

Modulate parameters with familiar synth tools such as Sin and Ramp LFOs.

## Visually Stunning

These parameters control lights, and visuals; All generated live.

## Always Synchronized

With integrated [Ableton Link](https://www.ableton.com/en/link/) technology, captivate can synchronize bpm and phase with [hundreds of music apps](https://www.ableton.com/en/link/products/) across devices.

## Create once, Perform anywhere

Since all dmx channels boil down to the same parameters, captivate scenes can play on any lighting setup. Add and remove fixtures, or change venues with ease.

## Share your Creations

We live in an open source world. Share your best scenes and creations with other captivate users!

## Developers

`git clone https://github.com/spensbot/captivate.git` <-- download the repo locally

`git submodule update --init --recursive` <-- download submodules

`npm install` <-- install node dependencies

`npm start` <-- run the app in development mode with hot-reloading

Thanks to [electron-react-boilerplate](https://github.com/electron-react-boilerplate/electron-react-boilerplate) for the app boilerplate

[MIT License](https://github.com/spensbot/Captivate2/blob/master/LICENSE) 
